/**
 * Program POSIXové Fronty
 * @autor František Kučera <franta-hg@frantovo.cz>
 */

#include "fronta.h"

#ifndef _PROGRAM_H
#define	_PROGRAM_H


#ifdef	__cplusplus
extern "C" {
#endif

    /** Výchozé název POSIXové fronty. */
    const char* VYCHOZI_NAZEV_FRONTY = "/mojeFronta";

    /** Název POSIXové fronty. */
    char* nazevFronty;

    /** Objekt obalující POSIXovou frontu. */
    Fronta fronta;

    /** Režim přijímání zpráv. */
    void prijimej();

    /** Režim odesílání zpráv. */
    void odesilej();

    /**
     * Zeptá se uživatele, zda se má program spustit v odesílacím nebo přijímacím režimu.
     * true = odesílací,
     * false = přijímací
     */
    bool isOdesilaciRezim();

    /** Zpracuje signál jako např. SIGTERM (ten ukončí běh tohoto programu). */
    void zpracujSignal(int signal);

#ifdef	__cplusplus
}
#endif

#endif	/* _PROGRAM_H */

